summaryrefslogtreecommitdiffstats
path: root/system/rsyslog/rsyslog.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/rsyslog/rsyslog.SlackBuild')
-rw-r--r--system/rsyslog/rsyslog.SlackBuild128
1 files changed, 128 insertions, 0 deletions
diff --git a/system/rsyslog/rsyslog.SlackBuild b/system/rsyslog/rsyslog.SlackBuild
new file mode 100644
index 0000000000..4bd4ba606c
--- /dev/null
+++ b/system/rsyslog/rsyslog.SlackBuild
@@ -0,0 +1,128 @@
+#!/bin/sh
+
+# Slackware build script for rsyslog
+# Written by ponce <matteo.bernardini@gmail.com>
+
+PRGNAM=rsyslog
+VERSION=${VERSION:-5.6.4}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+DOCS="AUTHORS COPYING ChangeLog INSTALL NEWS README"
+
+if [ "${MYSQL:-no}" = "no" ]; then
+ mysql_option=""
+else
+ mysql_option="--enable-mysql"
+fi
+
+if [ "${PGSQL:-no}" = "no" ]; then
+ pgsql_option=""
+else
+ pgsql_option="--enable-pgsql"
+fi
+
+if [ "${LIBDBI:-no}" = "no" ]; then
+ libdbi_option=""
+else
+ libdbi_option="--enable-libdbi"
+fi
+
+if [ "${GNUTLS:-no}" = "no" ]; then
+ gnutls_option=""
+else
+ gnutls_option="--enable-gnutls"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.?z
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-debug \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ $mysql_option \
+ $pgsql_option \
+ $libdbi_option \
+ $gnutls_option \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/html
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+# add the html documentation
+cp doc/*.{png,jpg,html,conf} $PKG/usr/doc/$PRGNAM-$VERSION/html
+
+# add a default config, the startup script and a logrotate entry
+mkdir -p $PKG/etc/{rc.d,logrotate.d}
+cat $CWD/config/rsyslog.conf > $PKG/etc/rsyslog.conf.new
+cat $CWD/config/rc.rsyslogd > $PKG/etc/rc.d/rc.rsyslogd.new
+chmod 0755 $PKG/etc/rc.d/rc.rsyslogd.new
+cat $CWD/config/rsyslog.logrotate > $PKG/etc/logrotate.d/rsyslog.new
+
+mkdir -p $PKG/var/log
+for i in cron debug maillog messages secure spooler syslog ;
+ do touch $PKG/var/log/$i.new ;
+done
+
+# create backward compatibility links
+( cd $PKG/usr/sbin ; ln -s rsyslogd syslogd )
+( cd $PKG/etc/rc.d ; ln -s rc.rsyslogd rc.syslog )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}